<html>
<head>
<title>OGRE: Ogre::ManualObject::TempVertex Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ManualObject.html">ManualObject</a>::<a class="el" href="structOgre_1_1ManualObject_1_1TempVertex.html">TempVertex</a></div>
<h1>Ogre::ManualObject::TempVertex Struct Reference</h1><!-- doxytag: class="Ogre::ManualObject::TempVertex" -->Temporary vertex structure.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreManualObject_8h-source.html">OgreManualObject.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1ManualObject_1_1TempVertex-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ManualObject_1_1TempVertex.html#9d4515964a3051a0b7c6b60ca65bdfdf">position</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ManualObject_1_1TempVertex.html#19411aec4007e5d720d761e46e283aac">normal</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ManualObject_1_1TempVertex.html#ce680ecff2c52ced83a4b378fbcd9793">texCoord</a> [OGRE_MAX_TEXTURE_COORD_SETS]</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ManualObject_1_1TempVertex.html#94d44f08aacb74e2af201a8d1e5ac63a">texCoordDims</a> [OGRE_MAX_TEXTURE_COORD_SETS]</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ManualObject_1_1TempVertex.html#bdce83ba13674eba53d9658cd15ba6e7">colour</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Temporary vertex structure. 
<p>Definition at line <a class="el" href="OgreManualObject_8h-source.html#l00436">436</a> of file <a class="el" href="OgreManualObject_8h-source.html">OgreManualObject.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="9d4515964a3051a0b7c6b60ca65bdfdf"></a><!-- doxytag: member="Ogre::ManualObject::TempVertex::position" ref="9d4515964a3051a0b7c6b60ca65bdfdf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1ManualObject_1_1TempVertex.html#9d4515964a3051a0b7c6b60ca65bdfdf">Ogre::ManualObject::TempVertex::position</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreManualObject_8h-source.html#l00438">438</a> of file <a class="el" href="OgreManualObject_8h-source.html">OgreManualObject.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="19411aec4007e5d720d761e46e283aac"></a><!-- doxytag: member="Ogre::ManualObject::TempVertex::normal" ref="19411aec4007e5d720d761e46e283aac" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1ManualObject_1_1TempVertex.html#19411aec4007e5d720d761e46e283aac">Ogre::ManualObject::TempVertex::normal</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreManualObject_8h-source.html#l00439">439</a> of file <a class="el" href="OgreManualObject_8h-source.html">OgreManualObject.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ce680ecff2c52ced83a4b378fbcd9793"></a><!-- doxytag: member="Ogre::ManualObject::TempVertex::texCoord" ref="ce680ecff2c52ced83a4b378fbcd9793" args="[OGRE_MAX_TEXTURE_COORD_SETS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1ManualObject_1_1TempVertex.html#ce680ecff2c52ced83a4b378fbcd9793">Ogre::ManualObject::TempVertex::texCoord</a>[OGRE_MAX_TEXTURE_COORD_SETS]          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreManualObject_8h-source.html#l00440">440</a> of file <a class="el" href="OgreManualObject_8h-source.html">OgreManualObject.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="94d44f08aacb74e2af201a8d1e5ac63a"></a><!-- doxytag: member="Ogre::ManualObject::TempVertex::texCoordDims" ref="94d44f08aacb74e2af201a8d1e5ac63a" args="[OGRE_MAX_TEXTURE_COORD_SETS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="structOgre_1_1ManualObject_1_1TempVertex.html#94d44f08aacb74e2af201a8d1e5ac63a">Ogre::ManualObject::TempVertex::texCoordDims</a>[OGRE_MAX_TEXTURE_COORD_SETS]          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreManualObject_8h-source.html#l00441">441</a> of file <a class="el" href="OgreManualObject_8h-source.html">OgreManualObject.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="bdce83ba13674eba53d9658cd15ba6e7"></a><!-- doxytag: member="Ogre::ManualObject::TempVertex::colour" ref="bdce83ba13674eba53d9658cd15ba6e7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="structOgre_1_1ManualObject_1_1TempVertex.html#bdce83ba13674eba53d9658cd15ba6e7">Ogre::ManualObject::TempVertex::colour</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreManualObject_8h-source.html#l00442">442</a> of file <a class="el" href="OgreManualObject_8h-source.html">OgreManualObject.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreManualObject_8h-source.html">OgreManualObject.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:22 2008
</p>
</body>
</html>
